I2C_BOARD_INFO(9)

NAME
I2C_BOARD_INFO - macro used to list an i2c device and its address

SYNOPSIS

I2C_BOARD_INFO(dev_type, dev_addr);

ARGUMENTS

dev_type
    identifies the device type

dev_addr
    the device's address on the bus.

DESCRIPTION

This macro initializes essential fields of a struct i2c_board_info, declaring what has been provided on a particular board. Optional fields (such as associated irq, or device-specific platform_data) are provided using conventional syntax.

COPYRIGHT